//+------------------------------------------------------------------+
//|                                          TelegramSendTesting.mq5 |
//|                                   Copyright 2025,MetaQuotes Ltd. |
//|                                            https://www.mql5.com/ |
//+------------------------------------------------------------------+
#property copyright "Copyright 2025, Metaquotes Ltd"
#property link      "https://www.mql5.com/"
#property version   "1.00"
#property strict

#include <Telegram.mqh>  // Include the Telegram communication module

// Input parameters for Telegram integration
input string botToken = "YOUR_BOT_TOKEN_HERE";   // Replace with your Telegram bot token
input string chatId   = "YOUR_CHAT_ID_HERE";     // Replace with your Telegram chat ID

//+------------------------------------------------------------------+
//| Expert initialization function                                  |
//+------------------------------------------------------------------+
int OnInit()
  {
   string message = "Hello! This is a greeting from your MQL5 EA.";
   if(SendMessageToTelegram(message, chatId, botToken))
     {
      Print("Greeting message sent successfully.");
     }
   else
     {
      Print("Failed to send greeting message.");
     }
   
   return INIT_SUCCEEDED;
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   Print("TelegramSendTesting EA has been deinitialized.");
  }
//+------------------------------------------------------------------+
//| Expert advisor main function (empty for this EA)               |
//+------------------------------------------------------------------+
void OnTick()
  {
   // No trading logic for this EA
  }
//+------------------------------------------------------------------+
